Bug 22884 - Remove ending . from XSLT templates
Summary: Remove ending . from XSLT templates
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Nick Clemens
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-05-10 10:19 UTC by Hugo Agud
Modified: 2019-10-07 13:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 22884: Remove field ending . from XSLT templates (13.52 KB, patch)
2019-05-11 23:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22884: (follow-up) Remove ending . from 440 in OPAC detail (1.19 KB, patch)
2019-06-17 20:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22884: Remove field ending . from XSLT templates (13.58 KB, patch)
2019-06-18 20:44 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22884: (follow-up) Remove ending . from 440 in OPAC detail (1.25 KB, patch)
2019-06-18 20:44 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22884: Remove field ending . from XSLT templates (13.61 KB, patch)
2019-06-21 18:41 UTC, Frédérik Chénier
Details | Diff | Splinter Review
Bug 22884: (follow-up) Remove ending . from 440 in OPAC detail (1.30 KB, patch)
2019-06-21 18:41 UTC, Frédérik Chénier
Details | Diff | Splinter Review
Bug 22884: Show separator between 440 and 490 fields (2.95 KB, patch)
2019-08-11 10:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22884: Show separator between 440 and 490 fields (3.03 KB, patch)
2019-08-14 23:35 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22884: Remove field ending . from XSLT templates (13.70 KB, patch)
2019-08-14 23:38 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22884: (follow-up) Remove ending . from 440 in OPAC detail (1.36 KB, patch)
2019-08-14 23:39 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22884: Show separator between 440 and 490 fields (3.09 KB, patch)
2019-08-14 23:40 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22884: Remove field ending . from XSLT templates (13.75 KB, patch)
2019-10-03 11:34 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22884: (follow-up) Remove ending . from 440 in OPAC detail (1.41 KB, patch)
2019-10-03 11:34 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22884: Show separator between 440 and 490 fields (3.14 KB, patch)
2019-10-03 11:34 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Hugo Agud 2019-05-10 10:19:22 UTC
Checing marc21 loc rules I have seen some issues with out xslt templates

1. Fields 020 and 022 should not inclue ending '.'
2. Field 300 should not include '.' if 300$c is cm or mm 

On the other hand I am not sure if there is a rule on 100$e to be published between [relator]

thanks!
Comment 1 Katrin Fischer 2019-05-11 22:58:20 UTC
I think the end user doesn't need the . and it is more irritating then helpful, especially since we are very inconsistent in printing it. I think either we rely on libraries adding the punctuation or let Koha add it, but mixing both is not good. I suggest to remove the . where we are currently displaying it.
Comment 2 Katrin Fischer 2019-05-11 23:08:43 UTC
Created attachment 89624 [details] [review]
Bug 22884: Remove field ending . from XSLT templates

Currently Koha very inconsistently adds a . at the end when
outputting MARC fields on the detail views.

This patch removes the few cases where we add in .
Keeping the end user in mind, I believe it's not needed and
the added consistency will be nice. ISBD should be added on
cataloguing or by templates, but we should not mix when possible.

To test:
Catalog the following fields, if repeatable, add more than one:
- 020
- 022
- 111
- 242
- 245
- 246
- 250
- 300
- 440
- 490
- 700/710/711 with $i
- 700/710/711 ind.2 = 2
Verify both on staff and OPAC detail pages that there is no
additional . at the end of the line.
Comment 3 Hayley Mapley 2019-06-12 02:18:36 UTC
It seems silly to fail QA for one full stop, but....

This patch appears to work for all the MARC fields listed in comment 2 on the Intranet, but on the OPAC there is a full stop on the Series section (440) after 'Name of part/section of a work' (not sure if that's because it's the last value listed or because of that particular field).
Comment 4 Katrin Fischer 2019-06-17 20:55:33 UTC
Created attachment 90702 [details] [review]
Bug 22884: (follow-up) Remove ending . from 440 in OPAC detail
Comment 5 Katrin Fischer 2019-06-17 20:56:07 UTC
Hi Hayley, thx for testing so well! It appears it was fixed in staff, but I forgot to remove it in OPAC. Could you have another look please?
Comment 6 Hayley Mapley 2019-06-18 20:44:08 UTC
Created attachment 90760 [details] [review]
Bug 22884: Remove field ending . from XSLT templates

Currently Koha very inconsistently adds a . at the end when
outputting MARC fields on the detail views.

This patch removes the few cases where we add in .
Keeping the end user in mind, I believe it's not needed and
the added consistency will be nice. ISBD should be added on
cataloguing or by templates, but we should not mix when possible.

To test:
Catalog the following fields, if repeatable, add more than one:
- 020
- 022
- 111
- 242
- 245
- 246
- 250
- 300
- 440
- 490
- 700/710/711 with $i
- 700/710/711 ind.2 = 2
Verify both on staff and OPAC detail pages that there is no
additional . at the end of the line.

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 7 Hayley Mapley 2019-06-18 20:44:40 UTC
Created attachment 90761 [details] [review]
Bug 22884: (follow-up) Remove ending . from 440 in OPAC detail

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 8 Claudio 2019-06-18 23:22:43 UTC
A little contribution:

Tag 440 is obsolete in MARC21. It should be replaced by tag 490 as the default "series statement fields" in a fresh installation.

See: http://www.loc.gov/marc/bibliographic/bd4xx.html
Comment 9 Katrin Fischer 2019-06-19 06:27:11 UTC
Thank you, Hayley!
Comment 10 Hayley Mapley 2019-06-19 08:19:44 UTC
(In reply to Katrin Fischer from comment #9)
> Thank you, Hayley!

No prob Katrin :)
Comment 11 Frédérik Chénier 2019-06-21 18:41:23 UTC
Created attachment 90927 [details] [review]
Bug 22884: Remove field ending . from XSLT templates

Currently Koha very inconsistently adds a . at the end when
outputting MARC fields on the detail views.

This patch removes the few cases where we add in .
Keeping the end user in mind, I believe it's not needed and
the added consistency will be nice. ISBD should be added on
cataloguing or by templates, but we should not mix when possible.

To test:
Catalog the following fields, if repeatable, add more than one:
- 020
- 022
- 111
- 242
- 245
- 246
- 250
- 300
- 440
- 490
- 700/710/711 with $i
- 700/710/711 ind.2 = 2
Verify both on staff and OPAC detail pages that there is no
additional . at the end of the line.

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Signed-off-by: frederik <frederik@inlibro.com>
Comment 12 Frédérik Chénier 2019-06-21 18:41:29 UTC
Created attachment 90928 [details] [review]
Bug 22884: (follow-up) Remove ending . from 440 in OPAC detail

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Signed-off-by: frederik <frederik@inlibro.com>
Comment 13 Nick Clemens 2019-06-28 15:37:44 UTC
After these patches if you have a 440 and a 490 in the record they have no space between.

I mean, you probably shouldn't have both, but I have seen stranger things
Comment 14 Katrin Fischer 2019-06-28 15:44:30 UTC
Hi Nick, this is a tricky one... I'll have a look.
Comment 15 Katrin Fischer 2019-06-28 15:44:46 UTC
Should we keep the . separator or would some other thing like ; look nicer?
Comment 16 Katrin Fischer 2019-08-11 10:55:32 UTC
Created attachment 92143 [details] [review]
Bug 22884: Show separator between 440 and 490 fields

This adds a ; as separator between 440 and 490 fields used in the
same record. Currently we loop first 440 and then 490. 490 is displayed
depending on the indicator.

So after we finish the first loop, we check for existence of 490 on the
same record now to decide if a separator is needed.

To test:
- Look at various records using one or multiple 440 and 490 fields
- Verify the display is correct, especially when both appar on the
  same record in both OPAC and staff
Comment 17 Katrin Fischer 2019-08-11 10:56:01 UTC
(In reply to Nick Clemens from comment #13)
> After these patches if you have a 440 and a 490 in the record they have no
> space between.
> 
> I mean, you probably shouldn't have both, but I have seen stranger things

Follow-up added, thx for testing Nick!
Comment 18 Hayley Mapley 2019-08-14 23:35:52 UTC
Created attachment 92203 [details] [review]
Bug 22884: Show separator between 440 and 490 fields

This adds a ; as separator between 440 and 490 fields used in the
same record. Currently we loop first 440 and then 490. 490 is displayed
depending on the indicator.

So after we finish the first loop, we check for existence of 490 on the
same record now to decide if a separator is needed.

To test:
- Look at various records using one or multiple 440 and 490 fields
- Verify the display is correct, especially when both appar on the
  same record in both OPAC and staff

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 19 Hayley Mapley 2019-08-14 23:38:37 UTC
Created attachment 92204 [details] [review]
Bug 22884: Remove field ending . from XSLT templates

Currently Koha very inconsistently adds a . at the end when
outputting MARC fields on the detail views.

This patch removes the few cases where we add in .
Keeping the end user in mind, I believe it's not needed and
the added consistency will be nice. ISBD should be added on
cataloguing or by templates, but we should not mix when possible.

To test:
Catalog the following fields, if repeatable, add more than one:
- 020
- 022
- 111
- 242
- 245
- 246
- 250
- 300
- 440
- 490
- 700/710/711 with $i
- 700/710/711 ind.2 = 2
Verify both on staff and OPAC detail pages that there is no
additional . at the end of the line.

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Signed-off-by: frederik <frederik@inlibro.com>

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 20 Hayley Mapley 2019-08-14 23:39:47 UTC
Created attachment 92205 [details] [review]
Bug 22884: (follow-up) Remove ending . from 440 in OPAC detail

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Signed-off-by: frederik <frederik@inlibro.com>

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 21 Hayley Mapley 2019-08-14 23:40:41 UTC
Created attachment 92206 [details] [review]
Bug 22884: Show separator between 440 and 490 fields

This adds a ; as separator between 440 and 490 fields used in the
same record. Currently we loop first 440 and then 490. 490 is displayed
depending on the indicator.

So after we finish the first loop, we check for existence of 490 on the
same record now to decide if a separator is needed.

To test:
- Look at various records using one or multiple 440 and 490 fields
- Verify the display is correct, especially when both appar on the
  same record in both OPAC and staff

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 22 Nick Clemens 2019-10-03 11:34:22 UTC
Created attachment 93559 [details] [review]
Bug 22884: Remove field ending . from XSLT templates

Currently Koha very inconsistently adds a . at the end when
outputting MARC fields on the detail views.

This patch removes the few cases where we add in .
Keeping the end user in mind, I believe it's not needed and
the added consistency will be nice. ISBD should be added on
cataloguing or by templates, but we should not mix when possible.

To test:
Catalog the following fields, if repeatable, add more than one:
- 020
- 022
- 111
- 242
- 245
- 246
- 250
- 300
- 440
- 490
- 700/710/711 with $i
- 700/710/711 ind.2 = 2
Verify both on staff and OPAC detail pages that there is no
additional . at the end of the line.

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Signed-off-by: frederik <frederik@inlibro.com>

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 23 Nick Clemens 2019-10-03 11:34:25 UTC
Created attachment 93560 [details] [review]
Bug 22884: (follow-up) Remove ending . from 440 in OPAC detail

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Signed-off-by: frederik <frederik@inlibro.com>

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 24 Nick Clemens 2019-10-03 11:34:28 UTC
Created attachment 93561 [details] [review]
Bug 22884: Show separator between 440 and 490 fields

This adds a ; as separator between 440 and 490 fields used in the
same record. Currently we loop first 440 and then 490. 490 is displayed
depending on the indicator.

So after we finish the first loop, we check for existence of 490 on the
same record now to decide if a separator is needed.

To test:
- Look at various records using one or multiple 440 and 490 fields
- Verify the display is correct, especially when both appar on the
  same record in both OPAC and staff

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 25 Martin Renvoize 2019-10-07 13:10:27 UTC
Nice work!

Pushed to master for 19.11.00